function newcol(fname)
*  usage : 'run newcol file_name'
*  doc : voir aussi grads/doc/usecmap.doc
*  define new color rainbow using file filename.gct
*  Definit une nouvelle pallette de couleur a partir du fichier 
*  "file_name". Ce fichier de couleur peut etre soit dans le repertoire
*  courant, soit dans le repertoir definit par la variable d'environnement
*  $GASCRP.
*
*
rc=findfile(fname)
*
* say _okfname
* say rc
if (rc=1) 
  say file not found
else
  rc=colortab (_okfname)
*
  if (rc>0)
    'set rbcols 21 22 23 24 25 26 27 28 29 30'
    say 'new rainow set using file '_okfname
  endif
endif
*
return
*
*
function findfile(arg)
**********************
*
*  run findfile file_name extension
*
file=subwrd(arg,1)
ext='gct'
*
* say file
* say ext
*
readfile='./'  file
*
file_tmp_name='/tmp/gascrp.tmp.name'
* say file_tmp_name
*
stop_script=false
*
result=read(readfile)
lin=sublin(result,2)
eof=sublin(result,1)
_okfname=readfile
if( eof = 1 )
* if file not found, try  extension
  readfile = readfile '.' ext
*  say readfile
  result=read(readfile)
  lin=sublin(result,2)
  eof=sublin(result,1)
  _okfname=readfile
  if( eof = 1 )
*   if file not found, try $GASCRP directory
    '! echo $GASCRP > 'file_tmp_name
    res_dir_name=read(file_tmp_name)
    dir_name=sublin(res_dir_name,2)
    readfile = dir_name '/' file 
*    say readfile
    result=read(readfile)
    lin=sublin(result,2)
    eof=sublin(result,1)
    _okfname=readfile
    if( eof = 1 )
*   if file not found, try extension in $GASCRP directory
      readfile = readfile '.' ext
*      say readfile
      result=read(readfile)
      lin=sublin(result,2)
      eof=sublin(result,1)
      _okfname=readfile
      if( eof = 1 );
         say ' File ' file ' not found'; stop_script=true; 
         _okfname='none'
      endif;
    endif
  endif
endif
*
if ( stop_script = true )
  rc=1
else
  rc=0
*  say 'close '_okfname
  xx=close(_okfname)
endif
return(rc)
*

function colortab(fname)

i=0
while(1)
  rc=read(fname)
  icode=sublin(rc,1)
  card=sublin(rc,2)

 if(icode = 1)
   'c' 
   say 'GrADS color table 'fname' file not available'
   say ' '
 endif

  if(icode != 0);break;endif 

  i=i+1
  red.i = subwrd(card,2)
  green.i = subwrd(card,3)
  blue.i = subwrd(card,4)
  cnum = i+20
  'set rgb 'cnum' 'red.i' 'green.i' 'blue.i
*   say 'set rgb 'cnum' 'red.i' 'green.i' 'blue.i
endwhile

return(i)
